import { ResolverType } from '../types';
export declare class AdditionalApi {
    path: string;
    resolverType: ResolverType;
    httpMethod: HttpMethodType;
    private pathSegments;
    private pathAction;
    private pathBoundedContext;
    get getApiFileName(): string;
    get getClassName(): string;
    get getResolverName(): string;
    get getVariableName(): string;
    constructor(payload: {
        path: string;
        resolverType: ResolverType;
        httpMethod: HttpMethodType;
    });
    toDto(): any;
}
export declare enum HttpMethodType {
    GET = "get",
    HEAD = "head",
    POST = "post",
    PUT = "put",
    DELETE = "delete",
    CONNECT = "connect",
    OPTIONS = "options",
    TRACE = "trace",
    PATCH = "patch"
}
